Wine-Devel
By thread
wine-devel@list.winehq.org
By month
Messages by month
- ----- 2026 -----
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2025 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2024 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2023 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2022 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2021 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2020 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2019 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2018 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2017 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2016 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2015 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2014 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2013 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2012 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2011 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2010 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2009 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2008 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2007 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2006 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2005 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2004 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2003 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2002 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2001 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
July 2002
- 112 participants
- 532 messages
Re: Virtual Pages difference - Spotted with VirtualQuery()
by Massimo
Posted in bugzilla, I'll add the executable later on, and the patch... But it's not a
solution, it's only make app believing the page has a different protection flag,
doesn't correct the protection itself.... Should cause errors elsewhere.
Date sent: Wed, 17 Jul 2002 19:45:36 -0600
From: Tony Lambregts <tony_lambregts(a)telusplanet.net>
To: max(a)veneto.com
Copies to: wine-devel(a)winehq.com
Subject: Re: Virtual Pages difference - Spotted with VirtualQuery()
> Max wrote:
>
> >As usual, AutoCAD seems to be a good test-bench for wine :-)
> >I spotted the problem that seemed coming from VirtualQuety function, but
> >that is (I guess... hmmmm) more a problem of memory handling in wine.
> >
> >I made a little test app; here the results in wine and win2k, later on
> >the app itself :
> >
> >WINE RESULTS :
> >
> >Memory info about '004012F0' :
> > Base Address : 00401000
> > Allocation Base : 00400000
> > Allocation Protect : PAGE_READONLY | PAGE_WRITECOPY |
> > PAGE_EXECUTE_READWRITE | PAGE_NOACCESS
> > Region Size : 00017000
> > State : MEM_COMMIT
> > Protect : PAGE_WRITECOPY <----- HERE
> > Type : MEM_PRIVATE
> >
> >WIN2k RESULTS :
> >
> >Memory info about '004012F0' :
> > Base Address : 00401000
> > Allocation Base : 00400000
> > Allocation Protect : PAGE_EXECUTE_WRITECOPY
> > Region Size : 00001000
> > State : MEM_COMMIT
> > Protect : PAGE_EXECUTE_READ <---- AND HERE
> > Type : MEM_IMAGE
> >
> >Well, dunno too much about Type field, I didn't find an app that check it yet;
> >I did find the app that uses Protect flag; I think it's poor coded, but as
> >usual we should make bad apps work too :-)
> >The app put some data in code page, not yet spotted if hard or soft-coded,
> >then before reading it checks Protect field to see if it has not set the
> >PAGE_GUARD, NO_ACCESS and WRITECOPY flags; if t has, it hangs some 10.000
> >lines later (sigh....)
> >I think wine should set Protect flag quite as like as possible as windoze
> >
> >For AutoCAD2000 I put a dirty hack in process.c, but is really ugly; i'd
> >prefer not to put my hands (bytes ?) too deeply inside some code that I don't
> >understand completely...
> >
> >Attached is the test source (compiled in Borland CBuilder, but should work
> >with any compiler, apart some unuseful pragma's).
> >If needed I can post the compiled too :-)
> >
> >Regards
> >
> >Max
> >
> >
> This is an excellent bug report but even if someone starts working on it
> right away it would be nice to have this stuff in bugzilla. That
> includes the exe and your (maybe not-so) ugly hack.
>
>
> Tony Lambregts
>
>
July 18, 2002
Re: solaris configure strangness
by Gregg Mattinson
This patch fixes the configure problems reported to wine-devel by Shachar
Shemesh. I have only tested it on sparc/solaris. This patch must be applied
after my __sparc__ not defined patch sent to wine-patches on July 17.
License: LGPL/X11
Changelog: configure.ac configure
- X11/extensions/shape.h requires X11/Xutil.h
- X11/XKBlib.h requires X11/Xlib.h
- net/if.h requires sys/socket.h
- netinet/ip.h requires sys/socket.h and sys/in_systm.h
- resolv.h requires sys/socket.h
Gregg Mattinson
Co-op Developer
Sun Microsystems of Canada
Index: configure
===================================================================
RCS file: /opcom/comp/ws/wine/CVSROOT/wine/configure,v
retrieving revision 1.2
diff -u -r1.2 configure
--- /tmp/T0Oaaqpg Thu Jul 18 09:29:45 2002
+++ configure Thu Jul 18 09:20:30 2002
@@ -5945,22 +5945,16 @@
for ac_header in X11/XKBlib.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
- echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-$ac_includes_default
+#include <X11/Xlib.h>
+
#include <$ac_header>
_ACEOF
rm -f conftest.$ac_objext
@@ -5975,77 +5969,16 @@
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_header_compiler=yes
+ eval "$as_ac_Header=yes"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-ac_header_compiler=no
+eval "$as_ac_Header=no"
fi
rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <$ac_header>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc in
- yes:no )
- { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
- no:yes )
- { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
-esac
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- eval "$as_ac_Header=$ac_header_preproc"
fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-
-fi
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
@@ -6117,7 +6050,6 @@
else
{ echo "$as_me:$LINENO: WARNING: Xkb extension not found, Wine will be built without it" >&5
echo "$as_me: WARNING: Xkb extension not found, Wine will be built without it" >&2;}
-
fi
done
@@ -6238,6 +6170,54 @@
+for ac_header in X11/Xutil.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <X11/Xlib.h>
+
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ eval "$as_ac_Header=yes"
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+eval "$as_ac_Header=no"
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+
for ac_header in X11/extensions/shape.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -6250,6 +6230,9 @@
#line $LINENO "configure"
#include "confdefs.h"
#include <X11/Xlib.h>
+ #ifdef HAVE_X11_XUTIL_H
+ # include <X11/Xutil.h>
+ #endif
#include <$ac_header>
_ACEOF
@@ -11339,9 +11345,6 @@
-
-
-
for ac_header in \
arpa/inet.h \
arpa/nameser.h \
@@ -11361,15 +11364,12 @@
linux/param.h \
linux/serial.h \
linux/ucdrom.h \
- net/if.h \
netdb.h \
netinet/in.h \
netinet/in_systm.h \
- netinet/ip.h \
netinet/tcp.h \
pty.h \
pwd.h \
- resolv.h \
sched.h \
scsi/sg.h \
socket.h \
@@ -11580,6 +11580,159 @@
+for ac_header in net/if.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#if HAVE_SYS_SOCKET_H
+ # include <sys/socket.h>
+ #endif
+
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ eval "$as_ac_Header=yes"
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+eval "$as_ac_Header=no"
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+
+for ac_header in netinet/ip.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#if HAVE_SYS_SOCKET_H
+ # include <sys/socket.h>
+ #endif
+ #if HAVE_NETINET_IN_SYSTM_H
+ # include <netinet/in_systm.h>
+ #endif
+
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ eval "$as_ac_Header=yes"
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+eval "$as_ac_Header=no"
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+
+for ac_header in resolv.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#if HAVE_SYS_SOCKET_H
+ # include <sys/socket.h>
+ #endif
+
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ eval "$as_ac_Header=yes"
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+eval "$as_ac_Header=no"
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+
echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
if test "${ac_cv_prog_cc_stdc+set}" = set; then
Index: configure.ac
===================================================================
RCS file: /opcom/comp/ws/wine/CVSROOT/wine/configure.ac,v
retrieving revision 1.2
diff -u -r1.2 configure.ac
--- /tmp/T01laOpg Thu Jul 18 09:29:45 2002
+++ configure.ac Thu Jul 18 09:19:16 2002
@@ -147,8 +147,8 @@
AC_DEFINE(HAVE_XKB, 1, [Define if you have the XKB extension]),,
$X_LIBS -lXext -lX11 $X_EXTRA_LIBS)
],
- AC_MSG_WARN([[Xkb extension not found, Wine will be built without it]])
- )
+ AC_MSG_WARN([[Xkb extension not found, Wine will be built without it]]),
+ [#include <X11/Xlib.h>])
dnl *** Check for X Shm extension
AC_CHECK_HEADERS(X11/extensions/XShm.h,
@@ -160,6 +160,10 @@
AC_MSG_WARN([[XShm extension not found, Wine will be built without it]]),
[#include <X11/Xlib.h>])
+ dnl *** Check for Xutil
+ AC_CHECK_HEADERS(X11/Xutil.h,,,
+ [#include <X11/Xlib.h>])
+
dnl *** Check for X shape extension
AC_CHECK_HEADERS(X11/extensions/shape.h,
[ dnl *** If X11/extensions/shape.h exists...
@@ -168,7 +172,10 @@
$X_LIBS -lXext -lX11 $X_EXTRA_LIBS)
],
AC_MSG_WARN([[XShape extension not found, Wine will be built without it]]),
- [#include <X11/Xlib.h>])
+ [#include <X11/Xlib.h>
+ #ifdef HAVE_X11_XUTIL_H
+ # include <X11/Xutil.h>
+ #endif])
dnl *** Check for XFree86 DGA / DGA 2.0 extension
AC_CHECK_HEADERS(X11/extensions/xf86dga.h,
@@ -911,15 +932,12 @@
linux/param.h \
linux/serial.h \
linux/ucdrom.h \
- net/if.h \
netdb.h \
netinet/in.h \
netinet/in_systm.h \
- netinet/ip.h \
netinet/tcp.h \
pty.h \
pwd.h \
- resolv.h \
sched.h \
scsi/sg.h \
socket.h \
@@ -963,6 +981,27 @@
)
AC_HEADER_STAT()
+dnl *** Check for net/if.h
+AC_CHECK_HEADERS(net/if.h,,,
+ [#if HAVE_SYS_SOCKET_H
+ # include <sys/socket.h>
+ #endif])
+
+dnl *** Check for netinet/ip.h
+AC_CHECK_HEADERS(netinet/ip.h,,,
+ [#if HAVE_SYS_SOCKET_H
+ # include <sys/socket.h>
+ #endif
+ #if HAVE_NETINET_IN_SYSTM_H
+ # include <netinet/in_systm.h>
+ #endif])
+
+dnl *** Check for resolv.h
+AC_CHECK_HEADERS(resolv.h,,,
+ [#if HAVE_SYS_SOCKET_H
+ # include <sys/socket.h>
+ #endif])
+
dnl **** Check for types ****
AC_C_CONST
July 18, 2002
Re: AutoCAD2000 again and CreateFiber
by Max
Alle 21:40, giovedì 18 luglio 2002, Eric Pouech ha scritto:
> TEB: Thread execution block... it's the descriptor of any running thread
> in the system (see include/thread.h)
> on NT, the TEB starts with a thread information block
so if I did understand, in NT fibers are mapped to threads descriptors
directly.... I guess in win95 the w95fiber.dll does it in some other way, as
it seems work, at least for fibers used in Autocad... For now I think I'll be
happy with it and try to solve other problems for acad :-)
>
> > Little question... where can I find some info to understand unix page
> > protection schemes ? Need it to look deeper in VirtualQuery functions, it
> > seems to me there's some bug there
>
> man mmap ? but imo that's more linked to the way we load the executable
> and it's a bit more tricky than pure page protection issues
> A+
I supposed too... my patch tricks apps in believing that the page protection
is different, but I know it could engender many other problems....
I'll take a look at loader too, if it's not to hard
Thanx for answers !
Max
July 18, 2002
Re: solaris configure strangness
by Gregg Mattinson
I have some spare time, so I'll see what I can get done today. I will only be
able to test on Solaris, so someone will need to test my patch on Linux.
Gregg Mattinson
Co-op Developer
Sun Microsystems of Canada
>From: Shachar Shemesh <wine-devel(a)sun.consumer.org.il>
>To: Francois Gouget <fgouget(a)free.fr>
>CC: wine-devel(a)winehq.org
>Subject: Re: solaris configure strangness
>Date: Thu, 18 Jul 2002 09:09:07 +0300
>
>
>Francois Gouget wrote:
>
>>So to have a clean configure, the above header must be moved out of the
>>big AC_CHECK_HEADERS and into their individual checks where we can
>>specifically test for these dependencies. See for instance XShm.h (only
>>a vague quide).
>>
>>
>I'll try, but I only have solaris machines at work, and this is far from
>my main focus on Wine (I'm working on BiDi, if you remeber correctly
>;-). I am only looking into solaris at all because at work we use some
>windows compat library for solaris (don't remeber the name, but it
>wasn't mainsoft's) for the GUI part of the product. I am sprinkling the
>idea to the Unix GUI team here to check Wine out.
>
>The response so far has been moderetely positive. (using those compat
>libraries incures a non-trivial per-seat license that goes to MS, as
>well as horrible support. They have been complaining that response time
>on one incident was ONE YEAR!!!! and the idea of having the sources to
>the library itself were appealing to them). The main problem was that it
>would take over two days of effort just looking into it, and they cannot
>spare the time.
>
>I just D/L the CVS to see what it would take. I am also not an autoconf
>expert. If I have more spare time at work, I will have a look at that.
>If not, I'd rather spend my Wine dev time trying to figure out how the
>fr1661n6 h377 one is supposed to go about implementing the humoungous
>monster that is GetCharacterPlacement without creating a 500 lines function.
>
> Shachar
July 18, 2002
Windows emulator for Linux - here WINE again
by Oliver Ob
>
> Hi All & Austin,
>
> who typed....
>
> It has been a while since I have tried WINE. Tell me/us, what games you
> are running & what tweaks yall made-if any?
I would like to run these applications which I have so far not
found in the wine homepage to be supported:
Rebirth 1.0
audio application, audio runs GOOD, but screen addressment
Rebirth 2.01
audio application, audio runs GOOD, but screen addressment
VGA Planets Winplan 3.5
front screen loads, but cannot play game
Planets 4
front screen loads, but cannot play game
Incubation (Battle Isle 4)
title loads, but no sound
688i Hunter Killer
title loads from cd, but gets stuck on front screen,
no sound
My versions are all registered and original so that is not sort
of a shareware restriction, but a problem of tweak options for
wine. i also stand in front of a wall when it comes to that the
audio WORKS for the sound applications, but does not for the
games. WONDER BIG TIME.
Hello Austin!! I am currently trying out Wine as well. The programs I
use (Rebirth and VGA Planets/Winplan) do work in part, but sort of
problem lies in the SCREEN ADDRESSING.
how should I twiddle that?
example:
appearance of NTpassword is under native windoze:
user1 password1 info1
user2 password2 info2
user3 password3 info3
user4 password4 info4
user5 password5 info5
but under wine it is mixed up, sort of like this:
user5 password2 info1
user1 password3 info2
user2 password4 info3
user3 password5 info4
user4 password1 info5
how can i fix that? it appears to be not a program, but a wine
error.
hope we can work this out together!
--
*º¤., ¸¸,.¤º*¨¨¨*¤ =Oliver(a)home= *º¤., ¸¸,.¤º*¨¨*¤
I http://www.bmw-roadster.de/Friends/Olli/olli.html I
I http://www.bmw-roadster.de/Friends/friends.html I
I http://groups.yahoo.com/group/VGAP-93 I
I http://home.t-online.de/home/spacecraft.portal I
>>> Telek0ma iBBMS - soon back online +49.4503.TRSi1/TRSi2 <<<
July 18, 2002
libwine problem when calling GetModuleHandle(null) from C# on linux
by Steinar Herland
I sent this post to comp.emulators.ms-windows.wine, but I'm hoping it's appropriate to send it to this list as well. My humble apologies if not.
I have this very simple C# program compiled on linux using the lates mono
(http://www.go-mono.com)
-------
using System;
using System.Runtime.InteropServices;
class Win32Methods{
[DllImport("kernel32.dll")]
public extern static IntPtr GetModuleHandleW(string lpModuleName); } class Class1 {
[STAThread]
static void Main(string[] args) {
Console.WriteLine("GetModuleHandle(null): {0}", Win32Methods.GetModuleHandleW(null));
}
}
------
When I run this on Windows (.NET) it prints out the module-handle. If I run it on linux using mono, I get:
------
err:heap:HEAP_GetPtr Invalid heap 00000000!
GetModuleHandle(null): 0
------
I have seen some old post suggesting that this error is due to opengl-build-problems, but i'm able to run notepad (the wine-version), which I assume call kernel32.GetModuleHandle as well.
WineVersions tested:
- wine-cvs-unstripped-071702-1.i386.rpm downloaded from http://wine.dataparty.no today
- libwine version included on Mandrake 8.2. (Download Edition)
I hope someone can help me with this, as I'm trying to use Wine to port the basics of the (Microsoft) System.Windows.Forms namespace in .NET to linux.
Best Regards
Steinar Herland
July 18, 2002
Re: solaris configure strangness
by Francois Gouget
On Thu, 18 Jul 2002, Shachar Shemesh wrote:
> Francois Gouget wrote:
>
> >So to have a clean configure, the above header must be moved out of the
> >big AC_CHECK_HEADERS and into their individual checks where we can
> >specifically test for these dependencies. See for instance XShm.h (only
> >a vague quide).
> >
> I'll try, but I only have solaris machines at work,
Well, that's not really an issue. Just hack the autoconf script so
that it works without warning on Solaris Sparc, and then post it to
wine-dev or wine-patches. You will know soon enough if it breaks things
on Linux ;-)
> Hack the and this is far from my main focus on Wine (I'm working on
> BiDi, if you remeber correctly ;-).
Yes, that's more of an issue. Hard to do everything...
--
Francois Gouget fgouget(a)free.fr http://fgouget.free.fr/
It really galls me that most of the computer power in the world
is wasted on screen savers.
Chris Caldwell from the GIMPS project
http://www.mersenne.org/prime.htm
July 18, 2002
Re: solaris configure strangness
by Shachar Shemesh
Francois Gouget wrote:
>So to have a clean configure, the above header must be moved out of the
>big AC_CHECK_HEADERS and into their individual checks where we can
>specifically test for these dependencies. See for instance XShm.h (only
>a vague quide).
>
>
I'll try, but I only have solaris machines at work, and this is far from
my main focus on Wine (I'm working on BiDi, if you remeber correctly
;-). I am only looking into solaris at all because at work we use some
windows compat library for solaris (don't remeber the name, but it
wasn't mainsoft's) for the GUI part of the product. I am sprinkling the
idea to the Unix GUI team here to check Wine out.
The response so far has been moderetely positive. (using those compat
libraries incures a non-trivial per-seat license that goes to MS, as
well as horrible support. They have been complaining that response time
on one incident was ONE YEAR!!!! and the idea of having the sources to
the library itself were appealing to them). The main problem was that it
would take over two days of effort just looking into it, and they cannot
spare the time.
I just D/L the CVS to see what it would take. I am also not an autoconf
expert. If I have more spare time at work, I will have a look at that.
If not, I'd rather spend my Wine dev time trying to figure out how the
fr1661n6 h377 one is supposed to go about implementing the humoungous
monster that is GetCharacterPlacement without creating a 500 lines function.
Shachar
July 18, 2002
Re: Bug in WINPOS_GetWinOffset? (was Possible Fix?)
by Anthony Tuininga
Done. Bug #889.
On Wed, 2002-07-17 at 20:14, Tony Lambregts wrote:
> Joshua Thielen wrote:
>
> >Hello everybody,
> >
> >I don't know if this is related to the bug Anthony
> >encountered, but why does WINPOS_GetWinOffset() use a
> >goto when it adds the offset of a parent window from
> >another process? Shouldn't the server request
> >'get_window_parents' be used to retrieve all of the
> >parent windows from other processes? Or can there only
> >be one parent from another process?
> >
> >Josh
> >
> >__________________________________________________
> >Do You Yahoo!?
> >Yahoo! Autos - Get free new car price quotes
> >http://autos.yahoo.com
> >
> >
> >
> >
> Looks like we have the makings of a good bug report here. Could one of
> you start a bug report in bugzilla. (maybe not so) ugly hack included
>
>
> Tony Lambregts
>
>
>
>
July 18, 2002
Re: Updown fix
by Guy L. Albertelli
----- Original Message -----
From: "Dimitrie O. Paun" <dpaun(a)rogers.com>
To: "Wine Patches" <wine-patches(a)winehq.com>
Sent: Tuesday, July 16, 2002 9:26 PM
Subject: Updown fix
> Changelog:
> Allow the application to subclass a buddy edit
> (spotted by Guy L. Albertelli).
>
> Index: dlls/comctl32/updown.c
[snip]
Yes this fixes the problem reported. I like it a lot better also.
Thanks, Dimi.
Guy
July 18, 2002